2004-02-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.3.4

2004-02-09 Kazuki IWAMOTO <iwm@maid.org>

	* common.h: rename g_strcasencmp to g_strncasecmp

	* src/command.c
	* src/file.c
	* src/sigmain.c: modify filename character encoding

2004-01-26 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]: modify GetFileTime and add fileio_getsystime

2004-01-24 Kazuki IWAMOTO <iwm@maid.org>

	* src/charlist.c
	* src/command.c
	* src/prop.c
	* src/reload.c: use gtk_bin_get_child

	* common.h
	* config.h.msc
	* config.w32.h: rename config.w32.h to config.h.msc

	* misc/fileio.[ch]: add file time functions

2004-01-18 Kazuki IWAMOTO <iwm@maid.org>

	* src/format.c
	* src/ftype.c
	* src/prop.c: add gtk_tree_view_set_enable_search FALSE

2004-01-16 Kazuki IWAMOTO <iwm@maid.org>

	* src/argument.c
	* src/prop.c
	* src/tmaid.c: change gettext to macro

2004-01-14 Kazuki IWAMOTO <iwm@maid.org>

	* common.h: add g_strfilencmp macro

	* misc/fileio.c: use G_DIR_SEPARATOR_S macro

2004-01-11 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.c
	* src/vmaid.c: use G_DIR_SEPARATOR_S macro

	* src/tmaid.c: use profile_delete_key for delete history

	* po/ja.po
	* src/charlist.c
	* src/format.c: change button name from remove to delete

2004-01-10 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c: add gtk_file_selection_hide_fileop_buttons

	* src/charlist.c; modify new button sensitive

2004-01-09 Kazuki IWAMOTO <iwm@maid.org>

	* src/find.c
	* src/replace.c: add gtk_combo_set_case_sensitive

2004-01-08 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.3.3

2004-01-07 Kazuki IWAMOTO <iwm@maid.org>

	* src/general.c: modify miss match prompt and tab when close

2004-01-06 Kazuki IWAMOTO <iwm@maid.org>

	* src/argument.c
	* src/conf.c
	* src/file.c
	* src/general.c
	* src/sigfile.c
	* src/sigkey.c
	* src/sigmain.c
	* src/tmaid.[ch]: rename item_factory_ to ifactory_

2003-11-26 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c
	* src/charlist.c
	* src/conf.c
	* src/find.c
	* src/format.c
	* src/print.c
	* src/prop.c
	* src/reload.c
	* src/repinfo.c
	* src/replace.c
	* src/valchr.c
	* src/version.c: use mnemonic

2003-11-21 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.am
	* Makefile.msc
	* Makefile.w32:rename Makefile.w32 to Makefile.msc

2003-11-17 Kazuki IWAMOTO <iwm@maid.org>

	* po/ja.po
	* src/version.c: delete radio and add notebook

2003-11-17 Kazuki IWAMOTO <iwm@maid.org>

	* acconfig.h
	* common.h
	* config.w32.h
	* configure.in
	* misc/fileio.h
	* misc/license.c
	* misc/misc.c: delete Gtk+-1.2 code and USE_GTK2

2003-10-13 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.3.2

2003-10-12 Kazuki IWAMOTO <iwm@maid.org>

	* src/edit.[ch]: change modifier operation at edit_make_block

2003-10-06 Kazuki IWAMOTO <iwm@maid.org>

	* src/sigkey.c: delete move to tab position

	* src/edit.c: change number operation at edit_make_block

2003-10-05 Kazuki IWAMOTO <iwm@maid.org>

	* src/charset.[ch]
	* src/edit.[ch]
	* src/sigfile.c: change word select and move

	* po/ja.po
	* src/command.c
	* src/find.c: modify create replace dialog

2003-10-03 Kazuki IWAMOTO <iwm@maid.org>

	* src/general.c
	* src/sigkey.c: modify tab space convert bugs

2003-09-21 Kazuki IWAMOTO <iwm@maid.org>

	* po/POTFILES.in
	* po/ja.po: add reload.c

	* src/sigkey.c: delete default code in signal_key_press

2003-08-13 Kazuki IWAMOTO <iwm@maid.org>

	* src/charlist.[ch]: modify comment and variable name

	* src/command.c: remove property copy in reload

2003-07-31 Kazuki IWAMOTO <iwm@maid.org>

	* src/sigfile.c
	* src/sigkey.c: modify hscrollbar when scroll

	* src/file.c: change CR+LF default for Windows

	* src/command.c
	* src/file.c: use Glob-style pattern matching

2003-07-31 Kazuki IWAMOTO <iwm@maid.org>

	* common.h
	* src/file.c: add g_strfilecmp

	* prop.c
	* sigkey.c
	* tmaid.[ch]: add tab convert

2003-07-25 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.3.1

2003-07-23 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/print.c
	* src/tmaid.c: add DDE for Windows

2003-07-21 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.w32
	* src/file.c
	* src/print.[ch]
	* src/tmaid.c: add Windows Printer

	* src/print.[ch]
	* src/tmaid.c: modify bug of copies

2003-07-18 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c
	* misc/profile.c
	* src/file.c
	* src/general.c
	* src/sigfile.c
	* src/sigmain.c
	* src/toolbar.c
	* src/tmaid.[ch]: modiry toolbar, selection, clipboard
	and file dialog for Windows

2003-07-17 Kazuki IWAMOTO <iwm@maid.org>

	* common.h
	* misc/license.c
	* misc/misc.c
	* src/about.c
	* src/charlist.c
	* src/conf.c
	* src/find.c
	* src/format.c
	* src/ftype.c
	* src/jump.c
	* src/print.c
	* src/prop.c
	* src/reload.c
	* src/repinfo.c
	* src/replace.c
	* src/valchr.c
	* src/version.c: change padding spacing

	* common.h
	* misc/fileio.[ch]: modify for Windows API

2003-07-01 Kazuki IWAMOTO <iwm@maid.org>

	* misc/license.[ch]
	* po/POTFILES.in
	* src/tmaid.c
	* src/version.c: add License Dialog

2003-06-25 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c: add code for UNICODE

2003-06-08 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c: replace to UNICODE from _UNICODE

	* src/general.c: modify move window in draw_caret

	* src/sigfile: hide with commit

2003-06-07 Kazuki IWAMOTO <iwm@maid.org>

	* src/file.c
	* src/general.c: add gtk_im_context_set_cursor_location

	* src/sigfile: show/hide with focus

2003-06-02 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.am
	* Makefile.w32
	* config.w32.h
	* tmaid.ico
	* tmaid.rc
	* misc/misc.c
	* misc/profile.c
	* src/Makefile.am
	* src/sigmain.c
	* src/print.c
	* src/tmaid.c
	* src/winmain.c: add code for Windows

2003-06-01 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/repinfo.c: modify if replace dst is NULL

	* src/sigfile.c: modify double click word select

	* src/charset.[ch]
	* edit.[ch]: add charset types

2003-05-31 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.3.0

2003-05-31 Kazuki IWAMOTO <iwm@maid.org>

	* src/find.c
	* src/replace.c: add gtk_combo_set_value_in_list

2003-05-29 Kazuki IWAMOTO <iwm@maid.org>

	* src/print.c: modify readhexstring length (Thanks Shimizu)

2003-05-25 Kazuki IWAMOTO <iwm@maid.org>

	* src/edit.c: modify edit_get_width_max

	* src/sigfile.c: modify horizontal scrollbar when move vertical scrollbar

2003-05-19 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c: modify double slash in misc_get_full_path

	* src/argument.c
	* src/conf.c
	* src/file.c
	* src/sigfile.c
	* src/sigmain.c
	* src/tmaid.c: replace to 'menu_shell' from 'sub_menu'

	* src/file.c: modify flags at gtk_widget_add_events

2003-05-18 Kazuki IWAMOTO <iwm@maid.org>

	* src/file.c
	* src/sigfile.[ch]
	* src/tmaid.c: add popup menu of GtkIMContext

2003-05-14 Kazuki IWAMOTO <iwm@maid.org>

	* acconfig.h
	* configure.in
	* po/POTFILES.in
	* src/charset.h
	* src/command.c
	* src/edit.c
	* src/file.c
	* src/find.c
	* src/general.c
	* src/jump.c
	* src/print.c
	* src/prop.c
	* src/sigfile.[ch]
	* src/sigkey.[ch]
	* src/sigmain.[ch]
	* src/tmaid.[ch]: remove signal.[ch] and add GtkIMContext

2003-05-08 Kazuki IWAMOTO <iwm@maid.org>

	* po/ja.po
	* src/charset.h
	* src/command.c
	* src/file.c
	* src/prop.[ch]
	* src/signal.c
	* src/tmaid.[ch]: add writing with convert and UTF-8 selection

2003-05-05 Kazuki IWAMOTO <iwm@maid.org>

	* src/Makefile.am
	* src/charlist.[ch]
	* src/charset.[ch]
	* src/command.c
	* src/edit.c
	* src/file.c
	* src/format.c
	* src/ftype.c
	* src/general.c
	* src/print.c
	* src/prop.[ch]
	* src/reload.[ch]
	* src/signal.c
	* src/tmaid.[ch]: support charset convert, reload and escape sequence

2003-05-01 Kazuki IWAMOTO <iwm@maid.org>

	* po/ja.po
	* src/Makefile.am
	* src/charlist.[ch]
	* src/command.c
	* src/file.c
	* src/format.c
	* src/ftype.c
	* src/prop.[ch]
	* src/tmaid.c: add g_convert and auto negotiation

2003-04-29 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/edit.c
	* src/file.c
	* src/format.c
	* src/general.c
	* src/print.c
	* src/prop.c
	* src/signal.c: use FileType in TmaidWindow

2003-04-28 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/file.c
	* src/prop.c
	* src/signal.c
	* src/tmaid.[ch]: change crlf to nline

	* src/find.c
	* src/valchr.c:	use charset_length macro

	* src/prop.c: modify activate signal of edit

2003-04-27 Kazuki IWAMOTO <iwm@maid.org>

	* bootstrap: from Video maid

	* configure.in
	* misc/Makefile.am
	* src/Makefile.am: use `AM_CPPFLAGS' instead of `CPPFLAGS'.

2003-04-23 Kazuki IWAMOTO <iwm@maid.org>

	* src/argument.c
	* src/charset.[ch]
	* src/edit.c
	* src/file.c
	* src/general.c
	* src/print.c
	* src/prop.c
	* src/signal.c
	* src/tmaid.[ch]: use Pango

2003-04-20 Kazuki IWAMOTO <iwm@maid.org>

	* src/format.c
	* src/ftype.c
	* src/prop.c: use GtkTreeView

2003-03-09 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c: modify scrollbar update

2003-03-06 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.3.0

2003-03-06 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.c: enable case

2003-03-02 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c: modify misc_set_scroll_bar for GTK+-2.0

2003-03-01 Kazuki IWAMOTO <iwm@maid.org>

	* acconfig.h
	* bootstrap
	* configure.in
	* src/Makefile.am
	* src/tmaid.[ch]
	* src/abort.c
	* src/charset.c
	* src/command.[ch]
	* src/conf.c
	* src/file.c
	* src/find.c
	* src/format.c
	* src/ftype.c
	* src/general.c
	* src/jump.c
	* src/print.[ch]
	* src/prop.c
	* src/repinfo.c
	* src/replace.c
	* src/signal.c
	* src/toolbar.[ch]
	* src/valchr.c
	* src/version.c: GTK+-2.0

2003-02-28 Kazuki IWAMOTO <iwm@maid.org>

	* doc/en/address.html: change name and telephone

	* src/command.c
	* src/file.c
	* src/signal.c
	* src/toolbar.c: add #ifdef USE_XIM

2003-02-27 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c: move position initialize (Thanks Koji@Linux)

2003-02-23 Kazuki IWAMOTO <iwm@maid.org>

	* po/ja.po
	* src/general.c
	* src/signal.c
	* src/tmaid.[ch]: divide statu bar

2003-02-14 Kazuki IWAMOTO <iwm@maid.org>

	* bootstrap
	* src/Makefile.am
	* src/intl.h
	* src/tmaid.h: delete intl.h

2003-02-12 Kazuki IWAMOTO <iwm@maid.org>

	* configure.in: add AC_CHECK_HEADERS sys/stat.h sys/types.h
	(Thanks Koji SHIMIZU)

	* acconfig.h
	* configure.in
	* misc/Makefile.am
	* misc/profile.[ch]
	* src/Makefile.am: use AC_SUBST *DIR macro and multi config of profile

2003-02-08 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.6

2003-01-23 Kazuki IWAMOTO <iwm@maid.org>

	* src/general.c: delete gtk_widget_queue_resize

	* src/tmaid.c
	* src/signal.c: modify argument InterProcess communication bug

	* src/version.c (version_dialog)
	* src/argument.c (arg_analyse): raw string was replaced by a macro.

	* src/tmaid.h: add TMAID_(VERSION|COPYRIGHT)_NOTICE macros.

2003-01-22 Koji SHIMIZU  <shimizu@netlab.jp>

	* misc/Makefile.am
	* src/Makefile.am: add INCLUDES directory

2003-01-22 Kazuki IWAMOTO <iwm@maid.org>

	* src/prop.c: add clear select at reload

	* src/argument.c
	* src/tmaid.c: change argument from Video maid

	* misc/misc.[ch]
	* misc/profile.[ch]: replace from Video maid

	* src/tmaid.h
	* src/command.c
	* src/file.c
	* src/general.c
	* src/signal.c: add vmaid_change_edit and edit mark

2002-10-18 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.5

2002-10-18 Kazuki IWAMOTO <iwm@maid.org>

	* common.h: add common header

2002-10-06 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.4

2002-10-06 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.[ch]
	* misc/profile.[ch]: rename other to misc and move from src

	* misc/misc.[ch]: modify message_box and function names

	* misc/profile.[ch]: add profile_delete_key

	* src/tmaid.[ch]
	* src/argument.[ch]
	* src/charset.[ch]
	* src/command.[ch]
	* src/conf.[ch]
	* src/edit.[ch]
	* src/file.[ch]
	* src/find.[ch]
	* src/format.[ch]
	* src/ftype.[ch]
	* src/general.[ch]
	* src/jump.[ch]
	* src/print.[ch]
	* src/prop.[ch]
	* src/repinfo.[ch]
	* src/replace.[ch]
	* src/signal.c
	* src/toolbar.[ch]
	* src/valchr.c
	* src/version.c: modify functions

2002-08-26 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.3

2002-08-26 Kazuki IWAMOTO <iwm@maid.org>

	* src/signal.c: modify InterProcess communication

2002-08-14 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.2

2002-08-11 Kazuki IWAMOTO <iwm@maid.org>

	* src/tmaid.[ch]
	* src/argument.[ch]
	* src/signal.[ch]: add argument analyse

	* src/tmaid.[ch]
	* src/signal.[ch]: delete cliant event

2002-07-04 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/find.c
	* src/general.c
	* src/jump.c
	* src/signal.c: modify scroll range

2002-06-28 Kazuki IWAMOTO <iwm@maid.org>

	* src/print.c: change right margin

2002-06-06 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.1

2002-06-06 Kazuki IWAMOTO <iwm@maid.org>

	* src/tmaid.c
	* src/prop.c: modify gettext and add menu_translate

2002-06-02 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.0

2002-06-02 Kazuki IWAMOTO <iwm@maid.org>

	* doc/en/address.html
	* doc/en/code.html
	* doc/en/command.html
	* doc/en/conf.html
	* doc/en/edit.html
	* doc/en/find.html
	* doc/en/format.html
	* doc/en/index.html
	* doc/en/input.html
	* doc/en/intro.html
	* doc/en/margin.html
	* doc/en/open.html
	* doc/en/print.html
	* doc/en/property.html
	* doc/en/repinfo.html
	* doc/en/replace.html
	* doc/en/tab.html
	* doc/ja/address.html
	* doc/ja/code.html
	* doc/ja/command.html
	* doc/ja/conf.html
	* doc/ja/edit.html
	* doc/ja/find.html
	* doc/ja/format.html
	* doc/ja/index.html
	* doc/ja/input.html
	* doc/ja/intro.html
	* doc/ja/margin.html
	* doc/ja/open.html
	* doc/ja/print.html
	* doc/ja/property.html
	* doc/ja/repinfo.html
	* doc/ja/replace.html
	* doc/ja/tab.html: Add document

	* src/tmaid.c
	* src/abort.c
	* src/command.c
	* src/conf.c
	* src/file.c
	* src/find.c
	* src/format.c
	* src/ftype.c
	* src/general.c
	* src/jump.c
	* src/print.c
	* src/prop.c
	* src/repinfo.c
	* src/replace.c
	* src/signal.c
	* src/toolbar.c
	* src/valchr.c
	* src/version.c: Japanese to English

	* po/en.po
	* po/ja.po
	* po/POTFILES.in: delete en.po and add ja.po

2002-05-21 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.20

2002-05-20 Kazuki IWAMOTO <iwm@maid.org>

	*src/tmaid.[ch]
	*src/file.c
	*src/general.c
	*src/prop.c
	*src/signel.c: add autoindent

	*src/edit.c
	*src/charset.[ch]
	*src/signal.c: add charset_type

	*src/signal.c: modify Primary Selection

2002-05-11 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.19

2002-05-11 Kazuki IWAMOTO <iwm@maid.org>

	* src/prop.c: modify GTK_CAN_DEFAULT at button 2

	* src/find.c
	* src/general.c
	* src/signal.c: change move_text_window to move_edit_window

	* src/signal.c: modify scrollbar value

2002-05-08 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.18

2002-05-03 Kazuki IWAMOTO <iwm@maid.org>

	* src/other.c: add gdk_gc_set_exposures at scroll_window

2002-05-01 Kazuki IWAMOTO <iwm@maid.org>

	* src/edit.c: modify get_mov_pos

	* src/prop.c
	* src/valstr.c: add GTK_CAN_DEFAULT at buttons

	* src/conf.c
	* src/find.c
	* src/format.c
	* src/print.c
	* src/prop.c
	* src/repinfo.c
	* src/replace.c
	* src/signal.c
	* src/valchr.c: delete MOD2-5 key

2002-04-21 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.17

2002-04-21 Kazuki IWAMOTO <iwm@maid.org>

	* src/print.c: add PostScript printing

	* src/abort.c
	* src/conf.c
	* src/find.c
	* src/format.c
	* src/ftype.c
	* src/jump.c
	* src/prop.c
	* src/replace.c
	* src/repinfo.c
	* src/valchr.c
	* src/version.c: modify dialog position

2002-04-18 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.16

2002-04-18 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c: modify close button bug

2002-04-15 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.15

2002-04-14 Kazuki IWAMOTO <iwm@maid.org>

	* src/edit.c: modify character width bug

	* src/tmaid.[ch]
	* src/command.[ch]
	* src/print.[ch]: add print dialog

	* src/tmaid.[ch]
	* src/command.c: add openpath and savepath

2002-04-09 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.14

2002-04-09 Kazuki IWAMOTO <iwm@maid.org>

	* src/toolbar.c: change xpm

	* src/tmaid.[ch]
	* src/general.c
	* src/toolbar.c: add print menu

	* src/tmaid.c
	* src/charset.[ch]: add charset option

2002-04-04 Kazuki IWAMOTO <iwm@maid.org>

	* src/charset.[ch]
	* src/command.c
	* src/edit.c
	* src/find.c
	* src/general.c
	* src/signel.c: dynamic character width from font

	* src/tmaid.h
	* src/charset.[ch]
	* src/command.c
	* src/edit.c
	* src/file.c
	* src/find.c
	* src/general.c
	* src/jump.c
	* src/signel.c: delete fontsize, add fontwidth and fontheight

	* src/tmaid.h
	* src/command.c
	* src/file.c
	* src/signal.[ch]: add tab close button

	* src/tmaid.c
	* src/general.c
	* src/toolbar.c: delete toolbar close button

	* src/signal.c: add Shift+F10 popup menu

2002-04-01 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.13

2002-03-31 Kazuki IWAMOTO <iwm@maid.org>

	* src/charset.[ch]
	* src/edit.c
	* src/find.c
	* src/general.c
	* src/signal.c
	* src/valchr.c: automatic selecting charset

2002-03-29 Kazuki IWAMOTO <iwm@maid.org>

	* src/profile.c: support NULL pointer int argument

	* src/tmaid.[ch]
	* src/general.c
	* src/prop.c
	* src/signal.c: add system font

2002-03-27 Kazuki IWAMOTO <iwm@maid.org>

	* src/tmaid.[ch]
	* src/general.c
	* src/prop.c
	* src/signal.c: add Primary Selection

2002-03-20 Kazuki IWAMOTO <iwm@maid.org>

	* src/general.c: hide_caret modify redraw if hide caret

	* src/signal.c: signal_timeout modify redraw

	* src/signal.c: add Primary Selection

2002-03-15 Kazuki IWAMOTO <iwm@maid.org>

	* src/edit: get_line_buf add return value NULL

	* src/other: scroll_window modify draw area

2002-03-09 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.12

2002-03-09 Kazuki IWAMOTO <iwm@maid.org>

	* src/signal: Invert caret

	* src/tmaid.[ch]:
	* src/conf.c: add notebook tab position

	* src/prop.c: modify scrolled window

2002-03-02 Kazuki IWAMOTO <iwm@maid.org>

	* src/ftype.c:
	* src/format.c: modify scrolled window

2002-02-28 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.11

2002-02-28 Kazuki IWAMOTO <iwm@maid.org>

	* configure.in: Check IM APIs

2002-02-21 Kazuki IWAMOTO <iwm@maid.org>

	* src/other.[ch]: delete set_label_pattern

	* src/find.c:
	* src/format.c:
	* src/repinfo.c:
	* src/replace.c:
	* src/prop.c:
	* src/valchr.c: modify accel_group and label pattern

2002-02-18 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c: command_exit use gdk_event_put with GDK_DELETE

2002-02-15 Kazuki IWAMOTO <iwm@maid.org>

	* src/prop.c: add Unknown filetype

2002-02-14 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.10

2002-02-14 Kazuki IWAMOTO <iwm@maid.org>

	* src/jump.c: jump_dialog_clicked gtk_entry_get_text bugfix
	(Thanks Takuro Ashie)

	* src/find.c: search buffer 1 character short bugfix

	* src/command.c
	* src/file.c
	* src/general.c
	* src/other.[ch]: message_box add accel keys

2002-02-11 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.9

2002-02-11 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c; command_reload bugfix initialize when read no data

	* src/general.c: chnage_property XIM modify
	* src/signal.c: signal_realize and signal_set_style XIM modify

	* src/tmaid.h
	* src/other.h: move iskanji form tmaid.h to other.h

	* src/other.[ch]: add set_label_pattern

	* src/find.c:
	* src/format.c:
	* src/repinfo.c:
	* src/replace.c:
	* src/prop.c:
	* src/valchr.c: add accel_group and label pattern

2002-02-10 Kazuki IWAMOTO <iwm@maid.org>

	* src/tmaid.c: main add get_full_path
	* src/file.c: open_edit_file add get_full_path
	* src/other.[ch]: add get_full_path

	* src/tmaid.c: add handle box

	* src/signal.c: signal_key_press modify alt key input

2002-02-09 Kazuki IWAMOTO <iwm@maid.org>

	* src/find.c: find_operation bugfix buffer search bottom to top

	* src/general.c; scroll_window call argument bugfix

2002-02-08 Kazuki IWAMOTO <iwm@maid.org>

	* src/tmaid.[ch]
	* src/signal.c: add textmaid_atom for selection

	* src/tmaid.[ch]
	* src/signal.[ch]: add signal_client_event

	* src/tmaid.c: modifty GtkText widget

	* src/tmaid.[ch]
	* src/conf.c: add second option

2002-02-05 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.8

2002-02-05 Kazuki IWAMOTO <iwm@maid.org>

	* src/general.c: chnage_property XIM modify
	* src/signal.c: signal_realize XIM modify

	* src/prop.c: add scrolled window

2002-02-04 Kazuki IWAMOTO <iwm@maid.org>

	* src/tmaid.[ch]
	* src/signal.[ch]: add signal_style_set

	* src/tmaid.[ch]
	* src/command.c
	* src/file.c
	* src/general.c
	* src/prop.c
	* src/signal.c: TEXTWND add syscol member

2002-02-03 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.7

2002-02-03 Kazuki IWAMOTO <iwm@maid.org>

	* src/signal.c: signal_key_press add hjkl arrow key

2002-02-02 Kazuki IWAMOTO <iwm@maid.org>

	* src/file.[ch]: rename fileop.[ch] to file.[ch]

	* src/tmaid.[ch]
	* src/command.c
	* src/file.c
	* src/format.c
	* src/prop.c: add associate member

	* src/general.[ch]: add change_property
	* src/command.c
	* src/format.c: use change_property

	* src/command.c: command_replace second replace bugfix

2002-01-31 Kazuki IWAMOTO <iwm@maid.org>

	* src/format.c
	* src/ftype.c: list to clist

	* src/format.c: add up and down button

	* src/format.c: modify insert position

2002-01-30 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c: command_saveas change window menu label

	* src/tmaid.c: main command line option bugfix

2002-01-26 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.6

2002-01-26 Kazuki IWAMOTO <iwm@maid.org>

	* src/argument.[ch]: removed
	* src/tmaid.c: add arguments analyser

	* src/tmaid.[ch]
	* src/command.c
	* src/fileop.c
	* src/general.c
	* src/signal.c: item_factory change name

	* src/tmaid.[ch]
	* src/signal.c: add popup menu

2002-01-21 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.5

2002-01-20 Kazuki IWAMOTO <iwm@maid.org>

	* src/fileop.c: open_edit_file change file type matching
	* src/tmaid.c: default file type

	* src/command.c: command_paste call TARGETS if paste
	* src/signal.c: signal_selection_received add TARGETS

	* src/argument.[ch]: add --line option and init_line
	* src/fileop.c: open_edit_file return the TEXTWND
	* src/tmaid.c: main add --line option and init_line

2002-01-20 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.4

2002-01-19 Kazuki IWAMOTO <iwm@maid.org>

	* src/prop.c: append graphics in color list

2002-01-18 Kazuki IWAMOTO <iwm@maid.org>

	* src/general.c: prompt_close modify if unsaved

2002-01-17 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.3

2002-01-16 Kazuki IWAMOTO <iwm@maid.org>

	* src/signal.c: signal_expose modify return code color

	* src/tmaid.[ch]
	* src/command.c
	* src/fileop.c: delete buckup member in TEXTWND

	* src/tmaid.[ch]
	* src/command.c
	* src/fileop.c
	* src/signal.c
	* src/prop.c: rename grid to gline in TEXTWND

	* src/tmaid.c: add menu item
	* src/command.c: command_next modify

	* src/find.c: find_operation modify selected result

	* src/other.c: message_box: default button grabed

2002-01-15 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.2

2002-01-15 Kazuki IWAMOTO <iwm@maid.org>

	* src/signal.c: signal_destroy_main no history file loop bugfix

2002-01-15 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.1

2002-01-15 Kazuki IWAMOTO <iwm@maid.org>

	* src/tmaid.c: main history bugfix
	* src/edit.c: put_mem '\n' code bugfix
	* src/signal.c: signal_key_press '\t' code bugfix

	* src/find.c: find_dialog add gtk_editable_select_region
	* src/replace.c: replace_dialog add gtk_editable_select_region

2002-01-14 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.0

	* GNU/Linux system edition initial release.
